# Created by pyp2rpm-3.3.2
%global pypi_name identify

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        1%{?dist}
Summary:        File identification library for Python

License:        MIT
URL:            https://github.com/chriskuehl/identify
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
[![Build Status]( [![Coverage Status]( [![PyPI version]( identification library
for Python.Given a file (or some information about a file), return a set of
standardized tags identifying what the file is. With a file on diskIf you have
an actual file on disk, you can get the most information possible

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(editdistance)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
[![Build Status]( [![Coverage Status]( [![PyPI version]( identification library
for Python.Given a file (or some information about a file), return a set of
standardized tags identifying what the file is. With a file on diskIf you have
an actual file on disk, you can get the most information possible


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE identify/vendor/licenses.py
%doc README.md
%{_bindir}/identify-cli
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Mar 31 2019 mockbuilder - 1.4.1-1
- Initial package.